/* Police d'écriture en sans serif */
@font-face {
    font-family: "Inter Bold";
    src: url(../fonts/inter/static/Inter-Bold.ttf);
}

@font-face {
    font-family: "Inter";
    src: url(../fonts/inter/static/Inter-Regular.ttf);
}

/* Police d'écriture en serif */
@font-face {
    font-family: "Lora";
    src: url(../fonts/lora/static/Lora-Regular.ttf);
}

@font-face {
    font-family: "Lora Bold";
    src: url(../fonts/lora/static/Lora-Bold.ttf);
}

/* Police d'écriture en Mono */
@font-face {
    font-family: "Inconsolata";
    src: url(../fonts/inconsolata/static/Inconsolata-Regular.ttf);
}

@font-face {
    font-family: "Inconsolata Bold";
    src: url(../fonts/inconsolata/static/Inconsolata-Bold.ttf);
}

body{
    padding: 0% 20%;
    margin: 0;
}

a{
    color: inherit;
}

h1{
    font-family: "Inter Bold";
    margin: 0;
}

h2{
    font-family: 'Inter';
    font-style: normal;
    margin: 0;
}

h3{
    font-family: 'Inter Bold';
    font-style: italic;
    font-weight: 700;
    font-size: 24px;
    line-height: 29px;
    margin: 0;
}

h4{
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 24px;
    color: #757575;
    margin: 0;
}

li{
    font-family: "Inter";
    margin-top: 13px;
}

ul{
    list-style: none;
}

p{
    font-family: "Inter";
    margin: 0;
}

/* Header part */

header{
    display: flex;
    justify-content: space-between;
    min-width: 100%;
    height: 36px;
    margin-top: 3.6rem;
}

/* First div of header part */
#switchContainer{
    display: flex;
    align-items: center;
}

#switchContainer>div{
    margin-left: 26px;
}

#switchFonts{
    display: flex;
    gap: 18px;
}

#switchFonts>h1{
    font-weight: 700;
    font-size: 18px;
    line-height: 24px;
}

#switchFonts>img{
    cursor: pointer;
}

#popUp{
    top: 7rem;
    position: absolute;
    background-color: white;
    box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.1);
    border-radius: 16px;
    height: 152px;
    width: 183px;
    transform: translateX(-3rem);
}

#popUp>ul{
    padding-left: 20px;
    padding-top: 24px;
    margin: 0;
    font-weight: 700;
    font-size: 18px;
    line-height: 24px;
}

#pipe{
    height: 2rem;
    border-left: solid #979797 1px;
}

#switchMode{
    display: flex;
    gap: 20px;
    align-items: center;
}

/* Part for the dark mode switch */
.toggle-switch input[type="checkbox"] {
    display: none;
}

.toggle-switch{
    height: 20px;
    cursor: pointer;
}

.toggle-switch .slider {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 20px;
    background-color: grey;
    border-radius: 34px;
    transition: background-color 0.2s;
}

.toggle-switch input[type="checkbox"]:checked + .slider {
    background-color: #A445ED;
}

.toggle-switch .slider::before {
    position: absolute;
    content: "";
    height: 14px;
    width: 14px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    border-radius: 50%;
    transition: transform 0.2s;
}

.toggle-switch input[type="checkbox"]:checked + .slider::before {
    transform: translateX(20px);
}

/* Styles pour le mode sombre */

body.dark {
    background-color: #050505;
    color: white;
}

/* Style pour la création de notre barre de recherche */

#searchBar{
    margin-top: 3.2rem;
    display: flex;
    justify-content: space-between;
    background-color: #CDCDCD;
    align-items: center;
    height: 64px;
    border-radius: 16px;
}

#searchInput{
    position: relative;
    left: 24px;
    height: 24px;
    width: 75%;
    border: none;
    background: none;
    box-shadow: none;
    outline: none;
    font-family: "Inter Bold";
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    line-height: 24px;
    color: #2D2D2D;
}

#iconSearch{
    position: relative;
    width: 24px;
    right: 24px;
    cursor: pointer;
}

/* Beginning of the main part */

#dicTitle{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 2.8rem;
}

#dicTitleLeft{
    display: inline;
}

#dicTitleLeft>h1{
    font-weight: 700;
    font-size: 64px;
    line-height: 77px;
}

#dicTitleLeft>h2{
    font-weight: 400;
    font-size: 24px;
    line-height: 29px;
    color: #A445ED;
    margin-top: 0.5rem;
}

#dicTitleRight>img{
    cursor: pointer;
}

/* end of the title part and beginning of the second part with a straigh line */

.diffPart{
    display: flex;
    align-items: center;
    margin-top: 40px;
}

.straightLine{
    border-top: solid 1px #E9E9E9;
    width: 100%;
    margin-left: 20px;
}

/* Beginning of the Meaning part */

.meaning{
    margin-top: 40px;
    margin-bottom: 40px;
}

.meaning>ul{
    margin-top: 25px;
}

.meaning>ul>li::before{
    color: #A445ED;
    content: "•";
    font-weight: bold;
    display: inline-block;
    width: 1rem;
    margin-left: -1rem;
}

ul>p{
    font-weight: 400;
    font-size: 18px;
    line-height: 24px;
    color: #757575;
}

/* Beginning of the synonym part */

#synonym{
    margin-top: 40px;
    display: flex;
    flex-wrap: wrap;
}

#synonym>li{
    margin: 0;
    list-style: none;
    margin-left: 22px;
    font-weight: 700;
    font-size: 20px;
    line-height: 24px;
    color: #A445ED;
}

#footer{
    display: flex;
    margin-top: 20px;
    margin-bottom: 7.75rem;
}

#footer>h4{
    font-weight: 400;
    font-size: 14px;
    line-height: 17px;
    border-bottom: solid #757575 1px;
}

#wiki>p{
    font-weight: 400;
    font-size: 14px;
    line-height: 17px;
    border-bottom: solid #757575 1px;
}
  
#wiki{
    display: flex;
    margin-left: 20px;
    align-items: center;
}

#wiki>img{
    height: 12px;
    width: 12px;
    margin-left: 10px;
    cursor: pointer;
}

#fontList>li:hover{
    cursor: pointer;
    color: #A445ED;
}

#noResult{
    position: relative;
    transform: translateY(8.75rem);
}

#smiley{
    font-weight: 400;
    font-size: 64px;
    line-height: 75px;
    text-align: center;
}

#noDefinitions{
    font-weight: 700;
    font-size: 20px;
    line-height: 24px;
    text-align: center;
    margin-top: 44px;
}

#excuses{
    font-weight: 400;
    font-size: 18px;
    line-height: 24px;
    text-align: center;
    margin-top: 24px;
}

#errorMessage{
    color: red;
}

